## kf6-kded 6.21.0+p24.04+vstable+git20251226.0215

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,8 +44,8 @@
 # (given that this framework produces no library)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
-    KF 6.19.0
+    QT 6.11.0
+    KF 6.21.0
 )
 
 if (KF6DocTools_FOUND)
