## kf6-kded 6.21.0+p24.04+vstable+git20260103.0236

=== debian/changelog ===
kf6-kded (6.21.0+p24.04+vstable+git20260103.0236-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 02:36:16 +0000
