## kf6-kded 6.21.0+p24.04+vunstable+git20251207.0733

=== debian/changelog ===
kf6-kded (6.21.0+p24.04+vunstable+git20251207.0733-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 07:33:26 +0000
