=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.21.0~),
-               libkf6config-dev (>= 6.21.0~),
-               libkf6coreaddons-dev (>= 6.21.0~),
-               libkf6crash-dev (>= 6.21.0~),
-               libkf6dbusaddons-dev (>= 6.21.0~),
-               libkf6doctools-dev (>= 6.21.0~),
-               libkf6service-dev (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6crash-dev (>= 6.22.0~),
+               libkf6dbusaddons-dev (>= 6.22.0~),
+               libkf6doctools-dev (>= 6.22.0~),
+               libkf6service-dev (>= 6.22.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.8.0+dfsg~),
 Standards-Version: 4.7.0
@@ -35,10 +35,10 @@
 Section: libdevel
 Architecture: any
 Depends: kded6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.21.0~),
-         libkf6crash-dev (>= 6.21.0~),
-         libkf6dbusaddons-dev (>= 6.21.0~),
-         libkf6service-dev (>= 6.21.0~),
+         libkf6coreaddons-dev (>= 6.22.0~),
+         libkf6crash-dev (>= 6.22.0~),
+         libkf6dbusaddons-dev (>= 6.22.0~),
+         libkf6service-dev (>= 6.22.0~),
          ${misc:Depends},
 Description: Extensible daemon for providing session services
  KDED runs in the background and performs a number of small tasks.
