## kf6-kded 6.22.0+p24.04+vstable+git20260109.0209

=== debian/changelog ===
kf6-kded (6.22.0+p24.04+vstable+git20260109.0209-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 09 Jan 2026 02:09:22 +0000

kf6-kded (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:44:24 +1000
