## kf6-kded 6.22.0+p24.04+vstable+git20260111.0323

=== debian/changelog ===
kf6-kded (6.22.0+p24.04+vstable+git20260111.0323-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 03:23:20 +0000
