## kf6-kded 6.22.0+p24.04+vstable+git20260126.0711

=== debian/changelog ===
kf6-kded (6.22.0+p24.04+vstable+git20260126.0711-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 07:11:44 +0000
