=== debian/changelog ===
kf6-kded (6.22.0+p24.04+vunstable+git20260126.0759-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 07:59:06 +0000
